Bug 1907825 - re-plug earphone or any output causes current playing media no longer outputs
Summary: re-plug earphone or any output causes current playing media no longer outputs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pipewire
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wim Taymans
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1906086
TreeView+ depends on / blocked
 
Reported: 2020-12-15 10:40 UTC by Qiyu Yan
Modified: 2021-02-06 01:17 UTC (History)
2 users (show)

Fixed In Version: pipewire-0.3.21-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-06 01:17:47 UTC
Type: Bug


Attachments (Terms of Use)
pw-mon output during reproduction (125.55 KB, text/plain)
2020-12-15 13:36 UTC, Qiyu Yan
no flags Details

Description Qiyu Yan 2020-12-15 10:40:27 UTC
Description of problem:
Sound output doesn't come back when re-plug your output device, e.g. earphone, USB DAC

Version-Release number of selected component (if applicable):
pipewire-0.3.17-3.fc33.x86_64

How reproducible:
Very Likely, but not Always

Steps to Reproduce:
1. sudo swap pulseaudio pipewire-pulseaudio --allowerasing --enablerepo=updates-testing
2. sudo systemctl enable --global pipewire-pulse.socket
3. play a random media file via Rhythmbox or any youtube video from firefox
4. pull out audio device connected
5. re-plug in the device

Actual results:
Sound lost in player (e.g. Rhythmbox, firefox), and doesn't recover until you jump to another media file in Rhythmbox or pause, wait and continue the video firefox.

Expected results:
Audio output will work after a re-plug.

Additional info:
Seems that selection of output device in Gnome-setting also have no effect on current playing stream in some cases (but working for new stream), I guess that pipewire/multimedia apps can't handle some cases of output device switch?

Comment 1 Qiyu Yan 2020-12-15 13:36:20 UTC
Created attachment 1739335 [details]
pw-mon output during reproduction

Comment 2 Fedora Update System 2021-02-04 10:39:19 UTC
FEDORA-2021-f394ea10e9 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f394ea10e9

Comment 3 Fedora Update System 2021-02-05 01:27:20 UTC
FEDORA-2021-d6d23603c6 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d6d23603c6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d6d23603c6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-02-06 01:17:47 UTC
FEDORA-2021-d6d23603c6 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.